# PxeServer

Pxe Switch

## PUT /v3/server/{serverId}/pxe/switchportratelimit

> Switch server port rate limit

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"PxeServer","description":"Pxe Switch"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"SwitchPortRateLimit":{"type":"object","required":["serverId","networkInterfaceId","rateLimit"],"properties":{"serverId":{"type":"integer","format":"integer","description":"Server ID"},"networkInterfaceId":{"type":"integer","format":"integer","description":"Network Interface ID or graphUrl"},"rateLimit":{"type":"integer","format":"integer","description":"Port rate limit"}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/server/{serverId}/pxe/switchportratelimit":{"put":{"tags":["PxeServer"],"summary":"Switch server port rate limit","operationId":"updateServerPxeSwitchportratelimit","parameters":[{"name":"serverId","in":"path","description":"ID of the server","required":true,"schema":{"type":"integer"}}],"requestBody":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SwitchPortRateLimit"}}},"required":true},"responses":{"204":{"description":"No Content"},"403":{"description":"Invalid credentials"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## PUT /v3/server/{serverId}/pxe/switchportspeed

> Switch server port speed

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"PxeServer","description":"Pxe Switch"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"SwitchPortSpeed":{"type":"object","required":["serverId","networkInterfaceId","portSpeed"],"properties":{"serverId":{"type":"integer","format":"integer","description":"Server ID"},"networkInterfaceId":{"type":"integer","format":"integer","description":"Network Interface ID or graphUrl"},"portSpeed":{"type":"integer","format":"integer","description":"Port Speed"}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/server/{serverId}/pxe/switchportspeed":{"put":{"tags":["PxeServer"],"summary":"Switch server port speed","operationId":"updateServerPxeSwitchportspeed","parameters":[{"name":"serverId","in":"path","description":"ID of the server","required":true,"schema":{"type":"integer"}}],"requestBody":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SwitchPortSpeed"}}},"required":true},"responses":{"204":{"description":"No Content"},"403":{"description":"Invalid credentials"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## PUT /v3/server/{serverId}/pxe/switchportadminstate

> Switch server port admin state

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"PxeServer","description":"Pxe Switch"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"SwitchPortAdminState":{"type":"object","required":["serverId","networkInterfaceId","state"],"properties":{"serverId":{"type":"integer","format":"integer","description":"Server ID"},"networkInterfaceId":{"type":"integer","format":"integer","description":"Network Interface ID or graphUrl"},"state":{"type":"integer","format":"integer","description":"Port admin state"}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/server/{serverId}/pxe/switchportadminstate":{"put":{"tags":["PxeServer"],"summary":"Switch server port admin state","operationId":"updateServerPxeSwitchportadminstate","parameters":[{"name":"serverId","in":"path","description":"ID of the server","required":true,"schema":{"type":"integer"}}],"requestBody":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SwitchPortAdminState"}}},"required":true},"responses":{"204":{"description":"No Content"},"403":{"description":"Invalid credentials"},"422":{"description":"Unprocessable Entity"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.i3d.net/api-references/general/pxeserver-1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
